#                                                                            #
#                                                                            #
#                                 WTware                                     #
#                            Windows Terminal                                #
#                                                                            #
#               (c) Andrey Kovalev <aka@wtware.com>, 2002-2004               #
#                          http://www.wtware.com                             #
#                                                                            #
#                                                                            #
#                         Configuration file                                 #
#                       December the 1th, 2004                               #
#                                                                            #
#                                                                            #
#                                                                            #
# Please, read this file completely. It contains a lot of information        #
# and most problems appear as a result of inattention while reading          #
# this file.                                                                 #
#                                                                            #
# If a parameter isn't specified as required, you can leave it commented     #
# out. Commented out line is the line, that starts with '#' symbol. Then     #
# the terminal will use the default parameter value.                         #
#                                                                            #
# [!] Parameter win2kIP is required.                                         #
# [!] Parameter mouse_wheel is required, if wheel mouse used.                #
#                                                                            #
# Description of all other parameters helps you to understand product        #
# possibilities.                                                             # 
#                                                                            #    



#
#
# Terminal name, the name to be shown in "Terminal Services Manager". 
# Better to use different names for different terminals. Also terminal name 
# could be received from dhcp-server. This parameter value underlies the value 
# received from dhcp.
# Default value: clienthostname = wtware
#
# clienthostname = terminal1



#
#
# [!] REQUIRED PARAMETER
#
# Terminal server IP-address. Possibly a symbolic name if dhcp-server
# returns dns-server address.
#
# win2kIP = 10.100.50.2


#
#
# Alternative terminal servers IP-addresses. After comma some comments could be 
# listed (explanations, descriptions, names, labels).
# 
# If there's no comments to any server, then the terminal sequentially sends pings
# to every server and connects to the first responded. It is the way to protect a 
# user from possible failure of the terminal server.
# 
# If there are COMMENTS (at least to one of these servers), then at every start 
# user should choose one of this servers from menu.
#
# win2kIP2 = 10.100.50.3,Reserve server
# win2kIP3 = 10.100.50.4,Interenet
# win2kIP4 = 10.100.50.10,Accounting server


#
#
# Mouse wheel. 
# By default there's no mouse wheel, i.e. default value = off. If this 
# parameter is set incorrectly, then mouse can flutter while moving.
# Default value: mouse_wheel = off
#
# mouse_wheel = on
# mouse_wheel = off


#
#
# Mouse port.
# Default value: mouse = ps/2
#
# mouse = com1
# mouse = com2
# mouse = ps/2
# mouse = usb


#
#
# [!] This parameter is invalid if selected video driver has suffix (X).
#
# Mouse speed. Reasonable values - from 3 (slow) to 7 (fast). 
# By default = 5.
#
# mouse_accel_mult = 5


#
#
# Video driver. 
# Accepted ONLY listed below values. Just delet symbol '#' from proper line
# If video card is supported by several drivers - use the fastest one.
# Usually drivers with suffix (S) or (F) faster.
# Default value: video = VESA(S)
#
#	
#	Tseng ET3000 chip:
# video = ET3000(S)
#
#
#	Tseng ET4000 chip:
# video = ET4000(S)  
#
#
#	Tseng ET6000 chip:
# video = ET6000(S)
#
#
#	Cirrus Logic GD542x chips:
# video = Cirrus(S)
#
#
#	Cirrus Logic 546x (laguna) chips:
# video = LAGUNA(S)
#
#
#	Trident TVGA8900/9000 chips:
# video = TVGA(S)
#
#
#	Oak Technologies 037/067/077 chips:
# video = Oak(S)
#
#
#	S3 Trio chips:
# video = S3(S)
#
#
#	S3 savage chips:
# video = SAVAGE(S)
#
#
#	Genoa 6400 chip:
# video = GVGA6400(S)
#
#
#	ARK Logic chip:
# video = ARK(S)
#
#
#	old ATI VGA chips:
# video = ATI(S)
#
#
#	ATI Mach32 chip:
# video = Mach32(S)
#
#
#	ALI2301 chip:
# video = ALI(S)
#
#
#	Alliance Technology AT 24/25/3D chips:
# video = APM(S)
#
#
#	nVidia Riva 128 / TNT / GeForce chips:
# video = NV3(S)
#
#
#	MX86251 (Voodoo Rush) chip:
# video = MX(S)
#
#
#	WD90C31 chip:
# video = PARADISE(S)
#
#
#	ATI Rage Pro chip (also possibly works
#       with some old mach64):
# video = RAGE(S)
#
#
#	ATI Rage 128 chip:
# video = R128(S)
#
#
#	Banshee/V3 chips:
# video = BANSHEE(S)
#
#
#	SiS 5597/6326/620/530 chips:
# video = SIS(S)
#
#
#	Intel i740 chip:
# video = I740(S)
#
#
#	Matrox G200/G400/G450 chips:
# video = G400(S)
#
#
#       - VESA - common driver, works with almost all
#       more or less new cards. _DOESN'T_ALLOW_TO_CHANGE_REFRESH_FREQUENCY_, 
#       so use it only if there's no native driver in the list.
# video = VESA(S)




#       nVidia Riva/Geforce chips:
# video = rivafb(F)
#
#
#       Intel i810, i815 onboard video:
# video = i810fb(F)
#
#
#       Intel 830M/845G/852GM/855GM/865G chips:
# video = intelfb(F)
#
#
#       Cirrus Logic GD542x/543x/544x/5480 chips:
# video = clgenfb(F)
#
#
#       Matrox Millennium, Millennium II, Mystique, Mystique 220, 
#       Productiva G100, Mystique G200, Millennium G200, G400, G450, G550:
# video = matroxfb(F)
#
#
#        ATI Mach64 chips:
# video = atyfb(F)
#
#
#       ATI Radeon chips:
# video = radeonfb(F)
#
#
#       ATI Rage128 chips:
# video = aty128fb(F)
#
#
#       SiS 300, 315 and 330 chips:
# video = sisfb(F)
#
#
#	Trident CyberXXXX/Image/CyberBlade chips, including VIA EPIA 
#       motherboards on PLE133 chipset:
# video = tridentfb(F)
#
#
#	VIA UniChrome (CLE266, KM400, KN400, KM800, KN800, PM800, 
#	PN800, CN400) chips, VIA EPIA motherboards on CLE266 chipset:
# video = viafb(F)




#       Alliance Promotion AT3D, AT25, AT24 chips:
# video = apm(X)
#
#
#       ARK Logic ARK1000PV, ARK2000PV, ARK2000MT chips:
# video = ark(X)
#
#
#       All ATI.
# video = ati(X)
#
#
#       Chips and Technologies 65520, 65525, 65530, 65535, 
#       65540, 65545, 65546, 65548, 65550, 65554, 65555, 68554, 69000, 
#       64200, 64300 chips:
# video = chips(X)
#
#
#       Cirrus Logic Alpine (5430, 5434, 5436, 5446, 5480, 
#       7548), and Laguna (5462, 5464, 5465) chips:
# video = cirrus(X)
#
#
#       Cyrix MediaGX chips (integrated into some thin clients):
# video = cyrix(X)
#
#
#       Permedia and GLINT chips:
# video = glint(X)
#
#
#       Number Nine Imagine 128, Ticket 2 Ride, Revolution 3D 
#       and Revolution IV:
# video = i128(X)
#
#
#       Intel i740:
# video = i740(X)
#
#
#       Intel i810, i810-dc100, i810e, i815, 830M, 845G, 852GM, 
#       855GM, 865G:
# video = i810(X)
#
#
#       Matrox MGA2064W (Millennium I), MGA1064SG (Mystique), 
#       MGA2164W (Millennium II) (PCI, AGP), G100, G200, G400, G450, G550:
# video = mga(X)
#
#
#       NVIDIA Riva 128, 128ZX, TNT, TNT2 (Ultra, Vanta, M64), 
#       GeForce (DDR, 256), Quadro, GeForce2 (GTS, Ultra, MX), GeForce3, 
#       Quadro2:
# video = nv(X)
#
#
#       S3 964 (revisions 0 and 1), 968, Trio32, Trio64, 
#       Trio64, Trio64V+, Trio64UV+, Aurora64V+, Trio64V2, PLATO/PX:
# video = s3(X)
#
#
#       S3 ViRGE, ViRGE/VX, ViRGE/DX, ViRGE/GX, 
#       ViRGE/GX2, ViRGE/MX, ViRGE/MX+, Trio3D, Trio3D/2X:
# video = s3virge(X)
#
#
#       S3 Savage3D, Savage3D/MV, Savage4, Savage2000, 
#	SuperSavage:
# video = savage(X)
#
#
#       SiS5597/5598, SiS530/620, SiS6326/AGP/DVD, SiS300/305,
#       SiS540, SiS630/730, SiS315/H/PRO SiS550 SiS650/651/650M/740,
#       SiS330 (Xabre):
# video = sis(X)
#
#
#       Voodoo Banshee, Voodoo3, Voodoo4, Voodoo5:
# video = tdfx(X)
#
#
#       Trident TVGA8900B, TVGA8900C, TVGA8900CL, TVGA9000, 
#       TVGA9000i, TVGA9100B, TVGA9200CXr, TVGA8900D, TGUI9440AGi, 
#       TGUI9660, TGUI9680, ProVidia 9682, ProVidia 9685, 3DImage975, 
#       3DImage985, Blade3D, Cyber9320, Cyber9382, Cyber9385, Cyber9388, 
#       Cyber9397, Cyber9397/DVD, Cyber9520, Cyber9525/DVD CyberBlade/Ai1,
#       CyberBlade/i7, CyberBlade/i1, CyberBlade/DSTN/Ai1, 
#       CyberBlade/DSTN/i7, CyberBlade/DSTN/i1, CyberBlade/e4, 
#       CyberBladeXP, BladeXP.
#
#       Use thia driver for VIA EPIA motherboards on PLE133 chip.
# video = trident(X)
#
#
#       Tseng Labs ET4000AX, ET4000/W32, ET4000/W32i, 
#       ET4000/W32p, ET6000, ET6100:
# video = tseng(X)
#
#
#       - VESA - common driver, works with almost all
#       more or less new cards. _DOESN'T_ALLOW_TO_CHANGE_REFRESH_FREQUENCY_, 
#       so use it only if there's no native driver in the list.
# video = vesa(X)
#
#
#       VIA CLE266 (CLE3122, CLE3022). Used in new VIA EPIA motherboards:
# video = via(X)
#
#
#       driver for terminal test under VMWare Workstation.
# video = vmware(X)


#
#
# Resolution. 
# Below is the list of the most common resolutions. Possibly,  some of them 
# are not supported by video card or driver. If menu command "Test video" 
# doesn't show the same image as given in documentation, try to use 640x480 resoultion.
# Default value: resolution = 640x480
#
# resolution = 640x480
# resolution = 800x600
# resolution = 1024x768
# resolution = 1280x1024
# resolution = 1152x864
# resolution = 1600x1200
# resolution = 512x384
# resolution = 960x720
# resolution = 1920x1440
# resolution = 640x400
# resolution = 720x540
# resolution = 848x480
# resolution = 1072x600
# resolution = 1280x720
# resolution = 1360x768
# resolution = 1800x1012
# resolution = 1920x1080
# resolution = 2048x1152
# resolution = 2048x1536
# resolution = 512x480


#
#
# Color depth. 
#
# [!] Windows 2000 Server supports only 8-bit color. 
#
# Windows 2003 Server supports also 15-, 16- and 24-bit color.
# Possibly, some video modes aren't supported by video card or driver.
# If menu command "Test video" doesn't show the same image as given in 
# documentation, try to use 8 bit color depth.
# Default value: bpp = 8
#
# bpp = 8
# bpp = 15
# bpp = 16
# bpp = 24
# bpp = 32


#
#
# Monitor refresh rate. 
# Given in hertz. 
#
# [!] Some LCD-monitors work only is this value is 75. 
#
# This parameter is considered only if selected video driver 
# ("video" parameter) allows to change frequency. 
#
# refresh = 63


#
#
# Monitor timings. 
# The alternative to refresh parameter. Usefull in rather 
# uncommon cases, it's better to leave this line commented out and
# use previous option refresh.
#
# The most convenient utility for timings calculation is available here:
#   http://xtiming.sourceforge.net/cgi-bin/xtiming.pl
#
# Example for 640å480 resolution, 56Hz (i.e. for a very weak monitor):
# modeline = 22.06  640 656 717 794  480 481 484 496  -HSync +Vsync


#
#
# Login. 
# This value is inserted into "Windows login" window. 
# By default this parameter is not set and field "Login" is empty.
#
# user = vasyapupkin


#
#
# Domain. 
# If specified, this parameter is automatically placed into 
# "Windows Login" window. For local computer authorization (if the termianl 
# server is joined into domain) you should specify computer name. 
# If the terminal server isn't a part of the domain, leave this 
# parameter commented out.
#
# domain = MYDOMAIN


#
#
# Password.
# If login and password specified (and also domain, 
# if the terminal server is joined into domain), then login will be 
# performed automatically. Empty password is not handled.
# For automatic login _uncheck_ checkbox "Always prompt for password" 
# on the server (Control Panel -> Administrative Tools -> Terminal Services 
# Configuration -> Connections -> RDP-Tcp -> Logon settings)
#
# password = coolpassword


#
#
# Start program, shell. By default starts explorer, But any other program
# could run. In such way Citrix Metaframe Seamless Windows is emulated.
#
# For example, run command line instead of Windows Explorer:
# shell = c:\\winnt\\system32\\cmd.exe
#
# One else example:
# shell = '"C:\Program Files\Microsoft Office\Office10\winword.exe" "Z:\Hello world.doc"'


#
#
# Default keyboard layout. Considered only in "Windows login" window, 
# when user inputs password. User can change layout by combination like 
# "Ctrl-Shift". 
# Default value: keyboard = en
#
#       Dutch
# keyboard = de
#
#       English
# keyboard = en
#
#       Russian
# keyboard = ru


#
#
# Num Lock state and digital keyboard mode while terminal server client start.
# By default numlock = on
#
# numlock = on
# numlock = off


#
#
# Additional graphic options. By default all options turned off to increase
# operating speed and lower network load. Set this value to the sequence 
# of symbols corresponding to the options you want to turn on:
#
#     a - desktop background.
#     b - show window contents while moving.
#     c - visual effects for menus and windows.
#     d - themes.
#     e - cursor shadow.
# 
#     Turn on all:
# graphic = abcde
# 
#     Turn on just desktop background:
# graphic = a


#
#
# Printer.
# If this value specified correctly, then a printer can be connected to the 
# terminal and the printer can be used from other computers, including the 
# terminal server.
#
# Possible parameter values:
#   on     - one-way communication with printer, parallel port configured
#            to work with 378 port, irq 7
#   lpt    - one-way communication with printer, autodetect parallel port 
#            paremeters
#   lpt-bi - two-way communication with printer, autodetect parallel port 
#            paremeters 
#   usb    - one-way communication with printer, USB printer
#   usb-bi - two-way communication with printer, USB printer
#
# The terminal should have fixed IP-address. Necessary terminal server 
# configuration is available in the article: 
#   http://www.wtware.com/win2k3/printer.html
# 
# * So called Win-printers won't work. For example, Canon LBP810 and HP 1005.
# * Work all printers which drivers are included into Windows distributive. 
# * Work all printers, that work through  _hardware_  print-server
#   (a box, connecting computer network and the ptinter)
# * Work all printers able to print from DOS without additional drivers.
#
# Default value: printer = off
#
# printer = on
# printer = lpt
# printer = lpt-bi
# printer = usb
# printer = usb-bi
# printer = off


#
#
# [!] Not supported in Windows 2000 Server. In Windows 2000 Server there's no way
#     to access client disks.
#
# [!] Before using make sure that terminal server configuration allows
#     client disks redirection.
#
# Floppy disk drive redirection, CDROM and USB-flash redirection.
# Disks are available in Windows Explorer by address 
# \\tsclient\{floppy|cdrom|usbN} By default all the redirections turned off.
#
# floppy = on
# floppy = off
#
# cdrom = on
# cdrom = off
#
#
# If you need to use at most one flash-card at once, you should select
# only line usb1 = on. The others are needed for card-readers that work
# with various cards, or to work with several cards at once.
#
# usb1 = on
# usb1 = off
#
# usb2 = on
# usb2 = off
#
# usb3 = on
# usb3 = off
#
# usb4 = on
# usb4 = off
#
# usb5 = on
# usb5 = off
#
# usb6 = on
# usb6 = off
#
# usb7 = on
# usb7 = off
#
# usb8 = on
# usb8 = off
#
# usb9 = on
# usb9 = off
#
# usb10 = on
# usb10 = off


#
#
# [!] Not supported in Windows 2000 Server. In Windows 2000 Server there's 
#     no way to redirect sound.
#
# [!] Before using make sure that terminal server configuration allows
#     sound redirection.
#
# Sound redirection. Take into account that playing Winamp makes 500KBps, 
# i.e. to half 10Mbit network bandwidth. Unfortunately, 1-3 seconds delays 
# while playing sound are unavoidable. If value is sound = remote then sound 
# is left on the server, i.e. sound will be reproduced by the server sound 
# card.
#
# Default value: sound = off
#
# sound = on
# sound = remote
# sound = off



#
#
# Debugging. 
# If the value is on, then the terminal control panel launches. Use it to 
# manage start of the terminal server client or the test utilities (the terminal 
# switches to debug mode). Necessary while terminal configuring. 
# Value off means that you can start debug by pressing button D 
# at any time when you need. Value disable means, that debugging is 
# disabled. UNTIL CORRECT DEMO OR FULL LICENSE IS SPECIFIED MODES 
# off AND disable TURNED OFF. THE TERMINAL WORKS IN DEBUG MODE.
#
# Default value: debug = off, if there's valid license. If there's no license
# parameter is ignored and debug mode starts.
#
# debug = disable
# debug = off
debug = on



#
#
# Menu "Continue" - "Turn off computer".
# If value is on, then before connecting to the terminal server user 
# is requested to choose menu item: "Continue" and "Turn off computer".
# It's made just to let user know when he can turn off the computer 
# without data loss.
# 
# Default value: turnoffmenu = off, i.e. menu is not shown to a user.
#
# turnoffmenu = off
# turnoffmenu = on



#
#
# Graphic engine tuning.
# Redraw-delay parameter defines maximum screen refresh interval. It's specified
# in milliseconds. Possible values - from 50 to 3000.
# When the server sends data for output to the screen too fast and 
# the terminal can't cope with drawing amount - the terminal just 
# stops refreshing screen and draws only to the frame buffer. Such effect can 
# be shown in console applications - for example, to run command 'type longfile'
# in command prompt. For there's no output to slow video memory, the terminal 
# can calculate each frame faster and so can cope with redraw amount faster too.
# On the other part, users react negative when terminal screen doesn't refresh.
# People like any movements on the screen. So, I set refresh intervals,
# for the terminal to redraw the image on the screen. Even if there are 
# server command in the queue. 
#
# Small values make the screen more alive. Greater values bring refresh delays 
# and thus speed up large redwraw amounts.
# Default value: redraw_delay = 300
#
# redraw_delay = 500



#
#
# Include other configuration files.
# include directive helps to move all duplicated parameters into 
# one (two, three...) common files. When the terminal meets this directive, 
# it requests tftp-server for specified file and includes all file parameters. 
# Included file format should be the same as this configuration file.
# Any parameter can be moved to included file. In the main configuration file 
# any include number can be used. Include can't be used in included files.
# The parameters in the main configuration file always underlie the parameters 
# in included files.
#
# include common



#
#
# WTware is the commercial software. If the valid license is not specified 
# in configuration file, the terminal works in DEMO MODE. I.e. session
# time is limited to 20 minutes. Licensing information is available 
# at the project site:
#              http://www.wtware.com/buy.html



#
#
# License example. 
# Such five lines you'll get after buying license. We recommend to
# store all licenses in one file wtware.lic. This file should be
# in the same folder as all configuration files. While boot by network 
# the terminal will automatically load wtware.lic and find proper license.
#
# license_00:0d:29:38:99:cd_demo = \
#   839d947ea1d1af2f75d6412ba690cd6629fa2bc47649c373ed5388f43b5a51e9 \
#   f8dea45ca75a82e17c98fda59f42843dabe4c9504afce19769a7d282a4e2c282 \
#   df7abdd3d9b08550b71115e666705cbfd2c222f0bf38dfa015592d0c6d71e8c0 \
#   a752e7438b97e71e49bc728b83964e6dd7f70c906fdf4615a18a59738159194f
#
# [!] Don't use incorrect licenses.
#



#
#
# If you have any questions, comments, proposals - wellcome to the forum:
#              http://forum.wtware.com/
#
# WTware support, e-mail: support@wtware.com
#                    ICQ: 89596217

